;;; gyve.scm --- 
   
;;;;   Copyright (C) 1997 GYVE Development Team
;;;;
;;;;   Author: Masatake YAMATO (masata-y@is.aist-nara.ac.jp)
;;;;   Created: Wed Oct 29 01:13:55 1997
;;;;   Time-stamp: <98/06/12 03:00:50 masata-y>
;;;;   
;;;;   This file is part of the GYVE vector based drawing editor. 
;;;;
;;;;   This program conforms GNU GENERAL PUBLIC LICENSE Version 2.

(cond
 ((not (defined? 'gyve-main-package))
  #t)					;???
 ((equal? gyve-main-package "gimp-plugin")
  (define-module (gyve gyve) 
    :use-module (gyve figs)
    :use-module (gyve gimp-plugin)
    :use-module (gyve plugin)
    ))
 ((equal? gyve-main-package "kernel")
    (define-module (gyve gyve) 
      :use-module (gyve figs)
      :use-module (gyve plugin)
      :use-module (gyve kernel)
      :use-module (gyve ydg)
      ))
 ((equal? gyve-main-package "figs")
  (define-module (gyve gyve) 
    :use-module (gyve figs)
    :use-module (gyve plugin)
    )))

(define-public (gyve:version) "0.0.10")
  
(define-public gyve:set-max-page
  (cond 
   ((equal? gyve-main-package "gimp-plugin")
    gyve:gimp-plugin:set-max-page)
   (else
    #t)))

(define-public gyve:realize
  (cond 
   ((equal? gyve-main-package "gimp-plugin")
    gyve:gimp-plugin:print)
   ((equal? gyve-main-package "kernel")
    gyve:kernel:realize)))

(define-public gyve:newpage
  (cond 
   ((equal? gyve-main-package "gimp-plugin")
    gyve:gimp-plugin:newpage)
   ((equal? gyve-main-package "kernel")
    gyve:kernel:newpage)))
